// *****************************************************************************
// *            EUROSYST - FENDT-Prfstrasse auf PC LON Basis                  *
// *****************************************************************************
// * Sprache                : Borland C++ V 4.52                               *
// * programmiert von       : EURO-System-FENDT-Team  								 *
// * Projekt begonnen am    : 29.05.1996                                       *
// * Sourcetext begonnen am : 29.05.1996                                       *
// * letzte nderung am     : 30.05.1996                                       *
// *****************************************************************************
// *                          Datei : COLORS.H                                 *
// *****************************************************************************

/* ------------ alt !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Farbtripel als Makros definiert
// RGB =             rot, grn,blau
#define	BLACK5		242, 242, 242	//  5 % schwarz
#define	BLACK10		230, 230, 230	// 10 % schwarz
#define	BLACK20		204, 204, 204	// 20 % schwarz
#define	BLACK30		178, 178, 178	// 30 % schwarz
#define	BLACK40		153, 153, 153	// 40 % schwarz
#define	BLACK50		127, 127, 127	// 50 % schwarz
#define	BLACK60		102, 102, 102	// 60 % schwarz
#define	BLACK70		 76,  76,  76	// 70 % schwarz
#define	BLACK80		 51,  51,  51	// 80 % schwarz
#define	BLACK90		 25,  25,  25	// 90 % schwarz
#define	BLACK  		  0,   0,   0	// 100 % schwarz
#define	RED 			255,   0,   0	// 100 % rot
#define	WHITE			255, 255, 255	// 100 % wei
#define	GREEN			  0, 255,   0	// 100 % grn
#define	BLUE			  0,   0, 255	// 100 % blau
#define	YELLOW		255, 255,   0	// 100 % gelb
#define	ORANGE		255, 128,   0	// orange

#define	DARKGREEN	0, 255,   128	// 100 % grn + 50 % Blau
#define	LIGHTGREEN	128, 255,   0	// 100 % grn + 50 % rot
#define	MAGENTA		255,   0, 255	// 100 % grn + 100 % blau
#define	HELLBLAU		  0, 255, 255	// 100 % grn + 100 % blau
#define	DARKYELLOW	220, 220,   0	// 80 % gelb
#define	LIGHTYELLOW	178, 178,   0	// 60 % gelb


// -------------------------- Farben fr alle Seiten ---------------------------
// default Hintergrund Farbe
#define	FARBE_HINTERGRUND						BLACK60
#define	FARBE_FEHLER							RED
#define	FARBE_NICHT_DEFINIERT  				HELLBLAU

----------------- alt Ende ----------------------------------------------*/



// Farbtripel als Makros definiert
// BGR =             blau rot grn
// Graustufen
#define	BLACK5		0x00F2F2F2		//  5 % schwarz
#define	BLACK10		0x00E6E6E6   	// 10 % schwarz
#define	BLACK20		0x00CCCCCC   	// 20 % schwarz
#define	LIGHTGRAY	BLACK20      	// 20 % schwarz
#define	BLACK25		0x00C0C0C0   	// 25 % schwarz
#define	BLACK30		0x00B2B2B2   	// 30 % schwarz
#define	BLACK40		0x00999999   	// 40 % schwarz
#define	BLACK50		0x007F7F7F   	// 50 % schwarz
#define	BLACK60		0x00666666   	// 60 % schwarz
#define	BLACK70		0x004C4C4C   	// 70 % schwarz
#define	DARKGRAY		BLACK70      	// 70 % schwarz
#define	BLACK80		0x00333333   	// 80 % schwarz
#define	BLACK90		0x00111111  	// 90 % schwarz
#define	BLACK  		0x00000000   	// 100 % schwarz

// Grundfarben in verschiedenen Helligkeitsstufen
#define	LIGHTRED		0x008080FF   	// hellrot
#define	RED 			0x000000FF   	// 100 % rot
#define	RED60			0x00000066   	// 60 % rot
#define	RED80			0x000000DC   	// 80 % rot
#define	DARKRED		0x00000080   	// dunkelrot
#define	WHITE			0x00FFFFFF   	// 100 % wei
#define	LIGHTGREEN	0x0080FF80   	// hellgrn
#define	GREEN			0x0000FF00   	// 100 % grn
#define	DARKGREEN	0x00008000   	// dunkelgrn
#define	GREEN30		0x00004C00   	// 30 % grn
#define	GREEN40		0x00006400   	// 40 % grn
#define	GREEN50		0x00008000   	// 50 % grn
#define	GREEN60		0x0000B200   	// 60 % grn
#define	GREEN80		0x0000DC00   	// 80 % grn
#define	LIGHTBLUE	0x00FFFF00   	// hellblau
#define	HELLBLAU 	LIGHTBLUE   	// hellblau
#define	BLUE			0x00FF0000   	// 100 % blau
#define	BLUE70		0x00FFC800   	// 70 % blau
#define	BLUE90		0x00FFE800   	// 90 % blau
#define	DARKBLUE	  	0x00800000   	// dunkelblau

// Mischfarben
#define	YELLOW		0x0000FFFF   	// 100 % gelb
#define	DARKYELLOW	0x0000A0A0   	// dunkelgelb
#define	LIGHTYELLOW	0x000050A0   	// hellgelb
#define	ORANGE		0x000080FF   	// orange
#define	MAGENTA		0x00FF00FF   	// violett



// -------------------------- Farben fr alle Seiten ---------------------------
// default Hintergrund Farbe
#define	FARBE_HINTERGRUND						BLACK60
// default Fehler Farbe
#define	FARBE_FEHLER							RED
// default "nicht definiert" Farbe
#define	FARBE_NICHT_DEFINIERT  				HELLBLAU


// *****************************************************************************

