// ****************************************************************************
// *           KE-Visual - Visualisierungssprache unter Windows           		*
// ****************************************************************************
// * Sprache                : KE-Visual                                       *
// * programmiert von       : Peter Thaus           									*
// * letzte nderung am     : 02.09.1996                                      *
// ****************************************************************************
// *                          Datei : COMPAT.H                          		*
// ****************************************************************************
// * Kompatiblittsmakros fr Befehle und Makros, die in KE-Visual nicht mehr *
// * existieren                                                               *
// ****************************************************************************

#ifndef __KEB_COMPAT_H
#define __KEB_COMPAT_H

#ifdef __KEVISUAL__

#define ButtonSetTitleColor 			IdObjectSetTitleColor
#define SelectObject        			IdObjectSelect
#define ButtonAssumeTextStyle  		IdObjectAssumeTitleTextStyle

// SetTextAlign (Werte entsprechend Windows.h)
#define	LEFT								TA_LEFT
#define	RIGHT								TA_RIGHT
#define	CENTER							TA_CENTER

// ID-Objekte
#define	UNCHANGED						IO_UNCHANGED		// Objekt ungendert
#define	CHANGED							IO_CHANGED			// Objekt gendert
#define	UNSELECT							IO_UNSELECT			// Objekt nicht anwhlbar
#define	SELECT							IO_SELECT			// Objekt anwhlbar

// Textstyle
// Textbreiten (als Werte, die direkt Windows bergeben werden)
#define THIN								TS_THIN
#define EXTRALIGHT						TS_EXTRALIGHT
#define LIGHT								TS_LIGHT
#define REGULAR							TS_REGULAR
#define MEDIUM								TS_MEDIUM
#define SEMIBOLD							TS_SEMIBOLD
#define BOLD								TS_BOLD
#define EXTRABOLD							TS_EXTRABOLD
#define HEAVY								TS_HEAVY

// dazu folgen setzbare Einzelbits
#define ITALIC								TS_ITALIC
#define UNDERLINE							TS_UNDERLINE

// Definition fr die Cursorpositionierung (Input)
#define CURSOR_TO_END					CP_CURSOR_TO_END
#define CURSOR_TO_FRONT					CP_CURSOR_TO_FRONT

// Bargraph
#define ZERO_HIDE							BG_ZERO_HIDE
#define ZERO_VISIBLE						BG_ZERO_VISIBLE
#define VERTICAL							BG_VERTICAL
#define HORIZONTAL						BG_HORIZONTAL

// Buttons
#define	BUTTON_INACTIVE				BT_INACTIVE
#define	BUTTON_ACTIVE					BT_ACTIVE
#define	BUTTON_PRESSED					BT_PRESSED

// Radiobutton
#define	RADIOBUTTON_INACTIVE			RB_INACTIVE
#define	RADIOBUTTON_ACTIVE			RB_ACTIVE
#define	RADIOBUTTON_SWITCHED_ON		RB_SWITCHED_ON

// Circle
#define	FILLED							CI_FILLED
#define	UNFILLED	 						CI_UNFILLED

// Definition fr 3D-Rechtecke
#define	PLANE_IN							R3_PLANE_IN
#define	PLANE_OUT						R3_PLANE_OUT

// Schrift deckend oder nicht (TextBackMode)
#define	TRANSPARENT						BM_TRANSPARENT
#define	OPAQUE							BM_OPAQUE

// Koordinatenmodus
#define	ABSOLUTE							CM_ABSOLUTE
#define	RELATIVE							CM_RELATIVE

#endif // __KEVISUAL__
#endif //  __KEB_COMPAT_H

// ****************************************************************************
// *										Ende Datei compat.h									*
// ****************************************************************************


