// ****************************************************************************
// *           KE-Visual - Visualisierungssprache unter Windows           		*
// ****************************************************************************
// * Sprachen               : KE-Visual V1.14                                 *
// *                          Borland C++ V 4.52                              *
// * programmiert von       : Peter Thaus           									*
// * letzte nderung am     : 15.10.1997                                      *
// ****************************************************************************
// *                          Datei : MODI.H                            		*
// ****************************************************************************
// * KE-Visual-Definitionen                                                   *
// ****************************************************************************
// * Bemerkung: Diese Definitionen werden sowohl KE-Visual, als auch von C++  *
// *            verwendet, daher drfen hier nderungen nur dann durchgefhrt *
// *            werden, wenn die Sourcecodes (KE-Visual/C++) danach neu       *
// *            compiliert werden.                                            *
// ****************************************************************************
// * Remark   : NO CHANGES IN THIS FILE MUST BE DONE!!!   							*
// *            ANY CHANGE MAY CAUSE YOUR SYSTEM TO BEHAVE REAL STRANGE!!!    *
// ****************************************************************************

#ifndef __MODI_H
#define __MODI_H
#define __KEB_MODI_H

// Jeweils erste der Applikation zur Verfgung stehende Variable der diversen Typen 
#define	FIRST_APPLICATION_SYSVAR		100
#define	FIRST_APPLICATION_USERVAR		0
#define	FIRST_APPLICATION_TEXTBUFFER	20
#define	FIRST_APPLICATION_FLAG			20

// Kreiszahl PI
#define	PI	3.14159265358979323846

// Variablen - Werte NICHT ndern (Defaultbelegung fr Funktionen/Befehle)
#define	UNSIGNED						0
#define	SIGNED						1

// Boolean-Rckgaben
#define FALSE 							0
#define TRUE 							1

// Links (LinkQuick, Link...), automatische Berechnungen...
#define	INVALID						(-1)

// Drucker-/Screenauflsung ist virtuell 10000 x 10000 unabhngig von reeller Auflsung
#define VIRTUAL_SIZE					10000

// Koordinatenmodus
#define	CM_ABSOLUTE					1
#define	CM_RELATIVE					2

// Definition fr 3D-Rechtecke
#define	R3_PLANE_IN					0
#define	R3_PLANE_OUT				1

// Bargraph
#define	BG_ZERO_HIDE		 		0
#define	BG_ZERO_VISIBLE	 		1
#define	BG_VERTICAL			 		0
#define	BG_HORIZONTAL		 		1

// Scale
#define	SC_VERTICAL					0
#define	SC_HORIZONTAL				1

// Indicator
#define	IN_VERTICAL					0
#define	IN_HORIZONTAL           1

// Needle
#define	NE_VERTICAL					0
#define	NE_HORIZONTAL           1

// Buttons
#define	BT_INACTIVE					0
#define	BT_ACTIVE					1
#define	BT_PRESSED					2

// Radiobutton
#define	RB_INACTIVE					0	// Radiobutton ohne Cursor
#define	RB_ACTIVE					2	// Radiobutton mit Cursor

// der Wert RB_SWITCHED_ON wird zu RB_(IN)ACTIVE dazuaddiert
#define	RB_SWITCHED_ON				1


// Circle
#define	CI_FILLED	 				0
#define	CI_UNFILLED	 				1

// BitmapCreate - Werte NICHT ndern (Defaultbelegung fr Funktionen/Befehle)
#define	BC_NON_OVERWRITE		0	// Wenn Bitmap mit angegebener ID beim Erzeugen
											// bereits existiert, dann Fehler melden
#define	BC_OVERWRITE			1	// Bitmap beim Neuerzeugen berschreiben, falls
											// Bitmap mit gleicher ID bereits vorhanden

// BitmapDisplayXY - Werte NICHT ndern (Defaultbelegung fr Funktionen/Befehle)
#define	BD_LEFT			0		// Default
#define	BD_TOP			0		// Default
#define	BD_RIGHT			1		// Bild rechtsbndig darstellen
#define	BD_BOTTOM		2		// um Y-Koordinate ist Bild Unterkante
#define	BD_CENTER_X		4		// um X-Koordinate zentrieren
#define	BD_CENTER_Y		8		// um Y-Koordinate zentrieren
#define	BD_CENTER  		BD_CENTER_X + BD_CENTER_Y // zentrieren
#define	BD_OVERSIZED	16		// beim Lschen (BitmapClear um 1 Pixel berzeichnen)
#define	BD_2_OVERSIZED	32    // beim Lschen (BitmapClear um 2 Pixel berzeichnen)
#define	BD_3_OVERSIZED	64    // beim Lschen (BitmapClear um 3 Pixel berzeichnen)
#define	BD_4_OVERSIZED	128   // beim Lschen (BitmapClear um 4 Pixel berzeichnen)

#define	BB_TILE			0		// Hintergrundbitmap kacheln (default)
#define	BB_CENTER		1		// Hintergrundbitmap zentriert (Originalgre)
#define	BB_ZOOM  		2		// Hintergrundbitmap zentriert (volle Area)


// InputModi: InputSetViewMode
#define	IM_NORMAL 		0		// normale Eingabe (sichtbar)
#define 	IM_STAR  		1		// fr jedes eingegebende Zeichen wird ein '*' ausgegeben
#define	IM_HIDDEN 		2		// die Ausgabe der Eingabe wird gnzlich unterdrckt

// InputTypen: InputSetType - Werte NICHT ndern (Defaultbelegung fr Funktionen/Befehle)
// Kombinationen bei InputCreate mit TA_... mglich
#define	IT_NORMAL		0			// normale Eingabe
#define	IT_DATE			0x0020	// Datumseingabe

// ID-Objekte - Werte NICHT ndern (Defaultbelegung fr Funktionen/Befehle)
#define	IO_UNCHANGED		0		// Objekt ungendert
#define	IO_CHANGED			1		// Objekt gendert
#define	IO_UNSELECT		 	0		// Cursor kann auf Objekt gesetzt werden
#define	IO_SELECT		 	1		// Cursor kann nicht auf Objekt gesetzt werden

// Ausdruckmodus
#define	PM_PRINT_TO_PRINTER	0	// normaler Ausdruck
#define	PM_PRINT_TO_FILE		1	// Ausdruck in Datei umleiten
#define	PM_PRINT_TO_SCREEN	2	// Druckervorschau

// Fehlercodes des Befehls GetCommunicationStatus
#define IE_BADID            (-1)		// Standard-Windows-Codes
#define IE_OPEN             (-2)
#define IE_NOPEN            (-3)
#define IE_MEMORY           (-4)
#define IE_DEFAULT          (-5)
#define IE_HARDWARE         (-10)
#define IE_BYTESIZE         (-11)
#define IE_BAUDRATE         (-12)
#define IE_NOT_PRESENT		 (-20)	// KE-Visual eigener Code

// Kenncodes fr Mausevents (Befehlsblock [LMouseEvent] untersttzt bis jetzt
// nur ME_LBUTTONDOWN und ME_LBUTTONDBLCLICK)
#define ME_LBUTTONDOWN			1
#define ME_LBUTTONUP  			2
#define ME_LBUTTONDBLCLICK		3

#define ME_RBUTTONDOWN			1
#define ME_RBUTTONUP  			2
#define ME_RBUTTONDBLCLICK		3

#define ME_MOVE      			4


// ****************************************************************************
// Windows-Definitionen ( NICHT ndern ! )
// Die nachfolgenden Definitionen sind Windows-intern. Sie sollten daher auf
// keinen Fall gendert werden (auch nicht, wenn das C-Programm neu
// compiliert wird
// ****************************************************************************

// Textausgabe (SetBackMode)
#define 	BM_TRANSPARENT							1
#define	BM_OPAQUE								2

// Textstyle
// Textbreiten (als Werte, die direkt Windows bergeben werden)
#define TS_THIN             				100
#define TS_EXTRALIGHT       				200
#define TS_LIGHT            				300
#define TS_REGULAR          				400
#define TS_MEDIUM           				500
#define TS_SEMIBOLD         				600
#define TS_BOLD             				700
#define TS_EXTRABOLD        				800
#define TS_HEAVY            				900

// dazu folgen setzbare Einzelbits
#define TS_ITALIC							0x2000
#define TS_UNDERLINE		   			0x4000

// neuere Formate (V1.002.008); sollten fr TextAlign verwendet werden
#define TA_LEFT                      0x0000
#define TA_RIGHT                     0x0002
#define TA_CENTER                    0x0006

// GridStyles
#define	GS_CROSS_DOTS (-1)
#define	GS_SOLID			0
#define 	GS_DASH			1
#define 	GS_DOT			2
#define 	GS_DASHDOT		3
#define	GS_DASHDOTDOT	4
#define	GS_NULL       	5

// Linientypen (PenStyle): SetPen, DiagramSetPlotStyle
// GridStyles
#define	PS_SOLID			0
#define 	PS_DASH			1
#define 	PS_DOT			2
#define 	PS_DASHDOT		3
#define	PS_DASHDOTDOT	4
#define	PS_NULL       	5

// Hatch Styles
#define HS_NONE				INVALID
#define HS_HORIZONTAL       0
#define HS_VERTICAL         1
#define HS_FDIAGONAL        2
#define HS_BDIAGONAL        3
#define HS_CROSS            4
#define HS_DIAGCROSS        5


// Styles fr SetMarkStyle um Mewerte zu markieren
#define	MS_NONE			0
#define	MS_RECTANGLE	1
#define	MS_CIRCLE   	2
#define	MS_CROSS    	3

// Linie von X-Achse bis Mepunkt
#define	MS_LINE_X     	16
// Linie von Y-Achse bis Mepunkt
#define	MS_LINE_Y     	32


// Kennungen fr die Diagramm-Achsen (Bezug Plot/Achse) PlotAxle
#define	PA_AXLE_X		0
#define	PA_AXLE_Y      1
#define	PA_AXLE_Y1		1
#define	PA_AXLE_Y2		2
#define	PA_AXLE_Y3		3
#define	PA_AXLE_Y4		4
#define	PA_AXLE_Y5		5
#define	PA_AXLE_Y6		6
#define	PA_AXLE_Y7		7
#define	PA_AXLE_Y8		8
#define	PA_AXLE_Y9	   9
#define	PA_AXLE_Y10	   10

// Flags fr FileCopy-Befehl
#define	FC_SUBDIR		1

// Flags fr DirectoryDelete-Befehl
#define	DD_EMPTYDIR		0
#define	DD_CONTENTS		1
#define	DD_SUBDIR		3
#define	DD_HIDDEN  		4
#define	DD_READONLY		8
#define	DD_SYSTEM  		16
#define	DD_ANY     		28

// Definition fr die Cursorpositionierung (Input)
#define CP_CURSOR_TO_END	 (-1)
#define CP_CURSOR_TO_FRONT		0

// Definitionen fr die Datenbanksprachen (!mu identisch zu DLLBASE.H sein,
// darf also nicht verndert werden!)
#ifndef DB_DATE_AMERICAN
#define DB_DATE_AMERICAN               (0)                  /* mm/dd/yy acc.to Liskin */
#define DB_DATE_ANSI                   (1)                  /* yy.mm.dd */
#define DB_DATE_BRITISH                (2)                  /* dd/mm/yy */
#define DB_DATE_FRENCH                 (3)                  /* dd.mm.yy */
#define DB_DATE_GERMAN                 (3)                  /* dd.mm.yy */
#define DB_DATE_ITALIAN                (4)                  /* dd-mm-yy */
#endif

// Befehlscodes fr Befehl DatabaseDebugInfo
#ifndef DB_DEBUG_SETTINGS
// Gibt allgemeine Informationen aus
#define DB_DEBUG_SETTINGS              (0)
// Gibt die Settings des momentanen Arbeitsbereichs aus
#define DB_DEBUG_CURAREA               (1)
// Gibt die Settings aller Arbeitsbereiche aus
#define DB_DEBUG_ALLAREAS              (2)
// Gibt Relationale Einstellungen aus
#define DB_DEBUG_RELATIONS             (3)
#endif

// Verzeichniscodes fr den Befehl DirectorySet sowie diverse andere Zwecke
#define	DC_NONE								0
#define	DC_APPLICATION_INCLUDE        1
#define	DC_HELP                       2
#define	DC_PRINTERTEXT						3
#define	DC_PRINTERTEXT_INCLUDE        4
#define	DC_SCREENTEXT						5
#define	DC_SCREENTEXT_INCLUDE         6
#define	DC_SYS_TEXT_INI               7
#define	DC_TEXT_INCLUDE               8
#define	DC_TOKENFIELD                 9
#define	DC_SOUND								10
#define	DC_BITMAP							11
#define	DC_VIDEO                      12
#define	DC_STRINGTABLE                13
#define	DC_MASK_NORMCODES					0x3f	// Maske fr Standardcodes
#define	DC_MULTIBLE_2                 0x40	// Kombinationscode "Bild" => "Bild1", "Bild2"
#define	DC_MULTIBLE_3                 0x80	// Kombinationscode "Bild" => "Bild1".."Bild3"

// fr Diagnosemodus
#define	DM_NONE								0
// Fileoperationen mitschneiden (Open, Datei lesen...)
#define	DM_FILE_OPERATIONS				1
// Leseoperationen (INI-Files lesen...)
#define	DM_READ_OPERATIONS            2
// Lesen und bersetzen von Sourcetexten
#define	DM_TOKEN_TRANSLATOR           4
// Ausgabe aller Tokens, die zur Laufzeit gelesen werden
#define	DM_TOKEN_INTERPRETER          8
// Ausgabe aller Datenbankbefehle auf den externen Debugger DebWin (combit)
#define	DM_DATABASE_DEBUGGER				16
// Ausgabe doppelter Makrodefinitionen, auch wenn diese identisch zu
// Erstdefinition sind
#define	DM_DOUBLE_MACRO					32
// MAP-File erzeugen
#define	DM_MAP_FILE							64
// alles ausgeben..
#define	DM_HARD_PROBLEMS					32767

// Datenbanken-Flags (fr Database.ini)
// Datenbank mit DatabaseOpen (INVALID) nicht automatisch ffnen, sondern nur
// mit DatabaseOpen (area)
#define	DBF_NON_OPEN							1
// Datenbank exklusiv ffnen
#define	DBF_USE_EXCLUSIVE						2
// Datenbank nur zum Lesen ffnen
#define	DBF_USE_READ_ONLY 					4
// Datenbank bei einem Zugriff auf einen anderen Arbeitsbereich schlieen
#define	DBF_CLOSE_ON_SELECT					16

// Index-Flags (fr Database.ini)
// Index ist Unique (DBI_UNIQUE) oder nicht (0)
// wenn flags = DBI_UNIQUE kommt Fehlermeldung, wenn ein Eintrag im Index nicht
// einzigartig ist
#define	DBI_UNIQUE  						1
#define	DBI_NON_UNIQUE						0	// Standard: Index ist nicht eindeutig

// Index mit DatabaseLinkIndizes/DatabaseCreateIndices nicht automaisch linken/
// erzeugen, sondern nur mit Aufruf (DatabaseLinkIndex/DatabaseCreateIndex)fr
// den speziellen Index
#define	DBI_NON_OPEN						2
#define	DBI_OPEN								0	// Standard: automatisch ffnen

// PrinterOrientation (hoch oder Querformat)
#define	PO_DEFAULT							0	// entsprechend der Druckereinstellung
#define	PO_PORTRAIT 						1  // Hochformat
#define	PO_LANDSCAPE						2  // Querformat

// Flag-Zustnde fr MCI-Gerte (MIDI, WAV, AVI)
#define	MCI_ERROR							0	// Fehler (z.B. kein Gert/kein Treiber)
#define	MCI_NO_ACTION						1	// keine Aktion am MCI-Gert
#define	MCI_PAUSED 							2	// laufende Datei angehalten
#define	MCI_RUNNING							3	// Datei luft

// PlotResolution: Speicherformate fr Plots; default ist PR_DOUBLE, bei anderen
// Werten geht ein Teil der Auflsung verloren
#define	PR_DOUBLE							8
#define	PR_LONG                     	4
#define	PR_INT                      	2
#define	PR_BYTE                     	1

// Style-Definitionen
// normaler Text
#define	STY_TEXT								32000
// Default-Textstyle fr ID-Objekte (ok)
#define	STY_IDOBJECT         			32010
// Default-Textstyle fr Texteingaben (Input)
#define	STY_INPUT                     32011
// Default-Textstyle fr Buttons
#define	STY_BUTTON                    32012
// Textstyle fr Message-Boxen
#define	STY_MESSAGEBOX						32020
// Default-Textstyle fr Diagramm-X-Achsen-Legende
#define	STY_DIAGRAMAXLE_X					32021
// Default-Textstyle fr Diagramm-X-Achsen-Skalierungen
#define	STY_DIAGRAMSCALE_X				32022
// Default-Textstyle fr Diagramm-Y-Achsen-Legende
#define	STY_DIAGRAMAXLE_Y					32023
// Default-Textstyle fr Diagramm-Y-Achsen-Skalierungen
#define	STY_DIAGRAMSCALE_Y				32024
// Default-Textstyle fr Analoganzeigen
#define	STY_ANALOGDISPLAY					32025
// Default-Textstyle fr Scale-Objekte
#define	STY_SCALE        					32026

#ifdef __KEVISUAL__
// Parameters fr GetDeviceCaps(option); alle Werte sind direkt von Windows
// bernommen (Kopie der Windows.h)
#define DRIVERVERSION 0
#define TECHNOLOGY    2
#define HORZSIZE      4
#define VERTSIZE      6
#define HORZRES       8
#define VERTRES       10
#define BITSPIXEL     12
#define PLANES        14
#define NUMBRUSHES    16
#define NUMPENS       18
#define NUMMARKERS    20
#define NUMFONTS      22
#define NUMCOLORS     24
#define PDEVICESIZE   26
#define CURVECAPS     28
#define LINECAPS      30
#define POLYGONALCAPS 32
#define TEXTCAPS      34
#define CLIPCAPS      36
#define RASTERCAPS    38
#define ASPECTX       40
#define ASPECTY       42
#define ASPECTXY      44

#define LOGPIXELSX    88
#define LOGPIXELSY    90

#define SIZEPALETTE  104
#define NUMRESERVED  106
#define COLORRES     108

// Rckgabewerte fr GetDeviceCaps(): TECHNOLOGY
#define DT_PLOTTER          0
#define DT_RASDISPLAY       1
#define DT_RASPRINTER       2
#define DT_RASCAMERA        3
#define DT_CHARSTREAM       4
#define DT_METAFILE         5
#define DT_DISPFILE         6

// Rckgabewerte fr GetDeviceCaps(): CURVECAPS
#define CC_NONE             0x0000
#define CC_CIRCLES          0x0001
#define CC_PIE              0x0002
#define CC_CHORD            0x0004
#define CC_ELLIPSES         0x0008
#define CC_WIDE             0x0010
#define CC_STYLED           0x0020
#define CC_WIDESTYLED       0x0040
#define CC_INTERIORS        0x0080
#define CC_ROUNDRECT        0x0100

// Rckgabewerte fr GetDeviceCaps(): LINECAPS
#define LC_NONE             0x0000
#define LC_POLYLINE         0x0002
#define LC_MARKER           0x0004
#define LC_POLYMARKER       0x0008
#define LC_WIDE             0x0010
#define LC_STYLED           0x0020
#define LC_WIDESTYLED       0x0040
#define LC_INTERIORS        0x0080

// Rckgabewerte fr GetDeviceCaps(): POLYGONALCAPS
#define PC_NONE             0x0000
#define PC_POLYGON          0x0001
#define PC_RECTANGLE        0x0002
#define PC_WINDPOLYGON      0x0004
#define PC_SCANLINE         0x0008
#define PC_WIDE             0x0010
#define PC_STYLED           0x0020
#define PC_WIDESTYLED       0x0040
#define PC_INTERIORS        0x0080

// Rckgabewerte fr GetDeviceCaps(): TEXTCAPS
#define TC_OP_CHARACTER     0x0001
#define TC_OP_STROKE        0x0002
#define TC_CP_STROKE        0x0004
#define TC_CR_90            0x0008
#define TC_CR_ANY           0x0010
#define TC_SF_X_YINDEP      0x0020
#define TC_SA_DOUBLE        0x0040
#define TC_SA_INTEGER       0x0080
#define TC_SA_CONTIN        0x0100
#define TC_EA_DOUBLE        0x0200
#define TC_IA_ABLE          0x0400
#define TC_UA_ABLE          0x0800
#define TC_SO_ABLE          0x1000
#define TC_RA_ABLE          0x2000
#define TC_VA_ABLE          0x4000
#define TC_RESERVED         0x8000

// Rckgabewerte fr GetDeviceCaps(): CLIPCAPS
#define CP_NONE             0x0000
#define CP_RECTANGLE        0x0001
#define CP_REGION           0x0002

// Rckgabewerte fr GetDeviceCaps(): RASTERCAPS
#define RC_NONE
#define RC_BITBLT           0x0001
#define RC_BANDING          0x0002
#define RC_SCALING          0x0004
#define RC_BITMAP64         0x0008
#define RC_GDI20_OUTPUT     0x0010
#define RC_GDI20_STATE      0x0020
#define RC_SAVEBITMAP       0x0040
#define RC_DI_BITMAP        0x0080
#define RC_PALETTE          0x0100
#define RC_DIBTODEV         0x0200
#define RC_BIGFONT          0x0400
#define RC_STRETCHBLT       0x0800
#define RC_FLOODFILL        0x1000
#define RC_STRETCHDIB       0x2000
#define RC_OP_DX_OUTPUT     0x4000
#define RC_DEVBITS          0x8000

// Styles fr die ListBox
#define LBS_SORT            0x0002L

// Soundcodes fr MessageBeep
#define MB_DEFAULT			 (-1)
#define MB_ICONSTOP         0x0010
#define MB_ICONHAND         MB_ICONSTOP
#define MB_ICONQUESTION     0x0020
#define MB_ICONEXCLAMATION  0x0030
#define MB_ICONASTERISK     0x0040
#define MB_ICONMASK         0x00F0

// Binary raster operations (SetROP2 unter Windows, SetROP unter KE-Visual)
#define R2_BLACK            1
#define R2_NOTMERGEPEN      2
#define R2_MASKNOTPEN       3
#define R2_NOTCOPYPEN       4
#define R2_MASKPENNOT       5
#define R2_NOT              6
#define R2_XORPEN           7
#define R2_NOTMASKPEN       8
#define R2_MASKPEN          9
#define R2_NOTXORPEN        10
#define R2_NOP              11
#define R2_MERGENOTPEN      12
#define R2_COPYPEN          13
#define R2_MERGEPENNOT      14
#define R2_MERGEPEN         15
#define R2_WHITE            16

// obere Werte nur definieren, wenn KE-Visual-Compilierung und nicht C++
#endif __KEVISUAL__


// Rckgabewerte (HiWord) von GetWindowsVersion
#define OS_WINDOWS_3x       0x0000
#define OS_WINDOWS_95		 0x0001
#define OS_WINDOWS_NT		 0x0002
#define OS_OS2              0x0003

// fr den Befehl GetDeviceCaps kann auf diese Art auch in einem Druckertext
// eine Bildschirminformation ermittelt werden
#define HDC_DEFAULT			0
#define HDC_SCREEN			1
#define HDC_PRINTER			2

// Befehl StringTableSelect
#define ST_SCREEN						1
#define ST_PRINTER					2
#define ST_ALL							3	// Binrverknpfung (ST_SCREEN | ST_PRINTER)
#define ST_DYNAMIC_STRINGTABLE	4	// dynamische Stringtabelle (nicht befehlsgesteuert, nur fr Init)

// Number Display autoAdjust: automatische Anpassung der Vorkommastellen
#define ND_AUTOADJUST		(-1)

// Darstellungsmodi fr Degree-Befehl
#define DEG_DEGREE       				1
#define DEG_DEGREE_MINUTE				2
#define DEG_DEGREE_MINUTE_SECOND    3

// Funktionscodes fr ANLED-Display
#define ANLED_STANDARD					0
#define ANLED_MARQUEE					1
#define ANLED_BLINK  					2
#define ANLED_INVERT_BLINK				3

// fr SetVar: bei Variablenausgabe abschneiden oder runden?
#define SV_TRUNC							0
#define SV_ROUND							1

// fr FindFirst: Dateiattribute
#define FA_NORMAL   0x00        // Normal file, no attributes
#define FA_RDONLY   0x01        // Read only attribute
#define FA_HIDDEN   0x02        // Hidden file
#define FA_SYSTEM   0x04        // System file
#define FA_LABEL    0x08        // Volume label
#define FA_DIREC    0x10        // Directory
#define FA_ARCH     0x20        // Archive

// fr SetWindowPos (die Definitonen entsprechen nicht den Windows-Vorgaben!)
#define 	WP_TOP		  0	// Places the window at the top of the Z-order (Default)
#define 	WP_TOPMOST	  1	// Places the window above all non-topmost windows
#define 	WP_BOTTOM	  2	// Places the window at the bottom of the Z-order

#endif __MODI_H


// ****************************************************************************
// *										Ende Datei MODI.H										*
// ****************************************************************************

